org.apache.hadoop.yarn.api.records.timeline

## Class TimelineDelegationTokenResponse

- java.lang.Object
- - org.apache.hadoop.yarn.api.records.timeline.TimelineDelegationTokenResponse

-     @InterfaceAudience.Public
       @InterfaceStability.Evolving
      public class TimelineDelegationTokenResponse
      extends Object

  The response of delegation token related request

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimelineDelegationTokenResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getContent()`
    `String` | `getType()`
    `void` | `setContent(Object content)`
    `void` | `setType(String type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TimelineDelegationTokenResponse

          public TimelineDelegationTokenResponse()

  - ### Method Detail

    - #### getType

          public String getType()

    - #### setType

          public void setType(String type)

    - #### getContent

          public Object getContent()

    - #### setContent

          public void setContent(Object content)

Copyright © 2022 Apache Software Foundation. All rights reserved.